/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 2)
/******************************************************************************/
(use "controls")
(use "cycle")
(use "door")
(use "feature")
(use "game")
(use "inv")
(use "main")
(use "obj")

/*-*-* Define local varaible *-*-*/
(local
	randomBeast = 0
	enterRoom FALSE
)

/******************************************************************************/
(instance public rm002 of Rm
	(properties
		picture scriptNumber
		north 3
		east 1
		south 0
		west 0
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		// Health counter
		(if(== enterRoom FALSE)
			(self:setRegions(973))
			(= enterRoom TRUE)
		)

  		// Inventory handler
  		(self:setRegions(971))

		(switch(gPreviousRoomNumber)
			(case east
				(send gEgo:
					posn(280 180)
					loop(1)
				)
			)
			(case north
   				(send gEgo:
					posn(150 115)
					loop(2)
				)
			)

		)

		SetUpEgo()
		(send gEgo:init())

		// 20% chance of seeing the Canyon Beast in this room		
		= randomBeast Random(1 100) 
		(if(>= randomBeast 80)		
			(self:setRegions(972))				
			(if(== gSeeCBeast 0)
				Print("There is a Canyon Beast here. You won't be able to catch one without help")
				= gSeeCBeast (+ gSeeCBeast 1)
			)
		)
		
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)

	(method (doit)
    (if(== (send gEgo:onControl()) ctlYELLOW)
      (send gRoom:newRoom(3))
      )
	)

	(method (handleEvent pEvent)
        (super:handleEvent(pEvent))

        /*****************************************
         * Handle the possible said phrases here *
         *****************************************/
        (if (Said('look>'))
			(if (Said('/fence'))Print("The fence is blocking the path to the west and the south."))
			(if (Said('/trees'))Print("The trees thin out at this part of the forest."))
			(if (Said('/sticks'))Print("There is a collection of dead tree limbs stacked along the fence."))
			// this will handle just "look" by itself, and also "look around"
			(if (Said('[/around]'))Print("You are at the southern edge of the forest.")
				(if(>= randomBeast 80)Print("There is a Canyon Beast here")))			
			(if (Said('/*'))Print("There's nothing interesting about it."))
		)		
        
      )

)

/******************************************************************************/
