/*********** Inventory region ***********
To handle the global inventory items. Someone may have a better idea on this. I couldn't
think of one, so I just decided to make it a region, instead. Anything to do with inventory
items are now here, instead of using the main script 
*****************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 971)
(use "controls")
(use "feature")
(use "cycle")
(use "follow")
(use "wander")
(use "game")
(use "main")
(use "obj")

(instance public scriptInventory of Rgn
	(properties)
	
		(method (init)
			(super:init())
			(self:setScript(useSomething))
		)
)

(instance useSomething of Script
	(properties)
		
	(method (handleEvent pEvent)
		(var dyingScript)						
		(super:handleEvent(pEvent))
		
        (if(Said('examine/mushrooms'))
           (if(send gEgo:has(INV_MUSHROOMS))
             (send gEgo:put(INV_MUSHROOMS))
             (send gEgo:get(INV_ONEPARCHMENT))
             (send gGame:changeScore(5))
             Print("You see a parchment of paper here. This must be the clue left behind by the Ancients.")
           )(else
             Print("Pardon?")
			)
		)
		
        (if(Said('eat/mushrooms'))
           (if(send gEgo:has(INV_MUSHROOMS))
				(if(send gEgo:has(INV_ONEPARCHMENT))
					(= gTotalHealth (+ gTotalHealth 7))
             		(if(> gTotalHealth 200)
             			(= gTotalHealth 200))
				)(else
					(send gEgo:get(INV_ONEPARCHMENT))
					(= gTotalHealth (+ gTotalHealth 7))
             		(if(> gTotalHealth 200)
             			(= gTotalHealth 200))
					(send gGame:changeScore(5))
					Print("There's a parchment of paper. This must be the clue left behind by the Ancients.")
				 )
		   )(else
		   	Print("Eat what?")
			)
		)
	)
)
/******************************************************************************/
