/*********** Health counter ***********/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 973)
(use "controls")
(use "feature")
(use "cycle")
(use "follow")
(use "wander")
(use "game")
(use "main")
(use "obj")

(instance public healthcounter of Rgn
	(properties)
	
		(method (init)
			(super:init())
			(self:setScript(lossHealth))
		)
)

(instance lossHealth of Script
	(properties)
	
	(method (doit)
		(super:doit())
		// If you have a certain item and it is consumed, then you regain health.
	)
	
	(method (handleEvent pEvent)
		(var dyingScript)						
		(super:handleEvent(pEvent))
		
		(= gTotalHealth (- gTotalHealth 1))
		
		(if(== gTotalHealth 0)
        	= dyingScript ScriptID(DYING_SCRIPT)
        	(send dyingScript:
        		caller(4)
        		register("You were unable to retain your strength any longer. The evil one has succeeded.")
			)
			(send gGame:setScript(dyingScript))
		)
		(if(== gTotalHealth 10)
			Print("If you don't eat something now, you will die")
		)
		(if(== gTotalHealth 25)
			Print("You really need to eat or drink something now")
		)
		(if(== gTotalHealth 50)
			Print("You feel faint")
		)

	)
)
/******************************************************************************/