/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 3)
/******************************************************************************/
(use "Controls")
(use "Cycle")
(use "Door")
(use "Feature")
(use "Game")
(use "Inv")
(use "Main")
(use "Obj")

/*-*-* Define local varaible *-*-*/
(local
	enterRoom FALSE
)

/******************************************************************************/
(instance public rm003 of Rm
	(properties
		picture scriptNumber
		north 7
		east 8
		south 2
		west 4
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		// Health counter
		(if(== enterRoom FALSE)
			(self:setRegions(973))
			(= enterRoom TRUE)
		)

  		// Inventory handler
  		(self:setRegions(971))
  				
		(switch(gPreviousRoomNumber)
			(case south
				(send gEgo:
					posn(280 170)
					loop(3)
				)
			)
			(case west
				(send gEgo:
					posn(100 165)
					loop(0)
				)
			)
			(case north
				(send gEgo:
					posn(260 38)
					loop(2)
				)
			)
			
		)
		
		SetUpEgo()
		(send gEgo:init())

	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)

	(method (doit)
    (if(== (send gEgo:onControl()) ctlYELLOW)
      (send gRoom:newRoom(4))
      )
    (if(== (send gEgo:onControl()) ctlBLUE)
      (send gRoom:newRoom(7))
      )
	)

	(method (handleEvent pEvent)
        (super:handleEvent(pEvent))

        /*****************************************
         * Handle the possible said phrases here *
         *****************************************/
        (if (Said('look>'))
			(if (Said('/cave'))Print("Snelm's Lair must be inside"))
			(if (Said('/hill'))Print("It looks like a safe climb upwards."))
			// this will handle just "look" by itself, and also "look around"
			(if (Said('[/around]'))Print("You are facing a dark cave"))
			(if (Said('/*'))Print("There's nothing interesting about it."))
		)
        
      )

)/******************************************************************************/
