/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 4)
/******************************************************************************/
(use "Controls")
(use "Cycle")
(use "Door")
(use "Feature")
(use "Game")
(use "Inv")
(use "Main")
(use "Obj")

/*-*-* Define local varaible *-*-*/
(local
	enterRoom FALSE
)

/******************************************************************************/
(instance public rm004 of Rm
	(properties
		picture scriptNumber
		north 3
		east 0
		south 5
		west 0
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		// Health counter
		(if(== enterRoom FALSE)
			(self:setRegions(973))
			(= enterRoom TRUE)
		)

  		// Inventory handler
  		(self:setRegions(971))
				
		(switch(gPreviousRoomNumber)
			(case south
				(send gEgo:
					posn(25 175)
					loop(3)
				)
			)
			(case north
				(send gEgo:
					posn(151 120)
					loop(2)
				)
			)

		)
		
		SetUpEgo()
		(send gEgo:init())

		(if(== gSnelm 0)
			Print("It is said that one of the Ancients left a clue with Snelm.")
			= gSnelm (+ gSnelm 1)
		)
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)

	(method (doit)
       (if(== (send gEgo:onControl()) ctlFUCHSIA)
         (send gRoom:newRoom(3))
	   )
	)

	(method (handleEvent pEvent)
        (super:handleEvent(pEvent))

        /*****************************************
         * Handle the possible said phrases here *
         *****************************************/
        (if (Said('look>'))
			(if (Said('/entrance'))Print("This takes you back to the forest"))
			(if (Said('/light'))Print("The light comes from the sun outside"))
			// this will handle just "look" by itself, and also "look around"
			(if (Said('[/around]'))Print("You are in Snelm's Lair"))
			(if (Said('/*'))Print("There's nothing interesting about it."))
		)
        
      )
)
/******************************************************************************/
/* Changes: Feb 28, 2012 - In the text game, exit SOUTH would go into Snelm's Inner Chamber, exit NORTH would take you to the Furthest Depths 
            of the Forest, exit EAST would take you back to the Entrance of the Dark Cave. This is confusing as the book illustrates only one 
            entrance, and its confusing in game play. At least in how I drew it. Therefore, I've done away with exit EAST, and re-routed exit
            NORTH to take player back to the Entrance of the Dark Cave.