/******************************************************************************/
(include "sci.sh")
(include "game.sh")
/******************************************************************************/
(script 7)
/******************************************************************************/
(use "Controls")
(use "Cycle")
(use "Door")
(use "Feature")
(use "Game")
(use "Inv")
(use "Main")
(use "Obj")
(use "Wander")

/*-*-* Define local varaible *-*-*/
(local
	randomBeast = 0
	enterRoom FALSE
)

/******************************************************************************/
(instance public rm007 of Rm
	(properties
		picture scriptNumber
		north 0
		east 9
		south 3
		west 6
	)
	(method (init)
		(super:init())
		(self:setScript(RoomScript))

		// Health counter
		(if(== enterRoom FALSE)
			(self:setRegions(973))
			(= enterRoom TRUE)
		)

  		// Inventory handler
  		(self:setRegions(971))
		
		(switch(gPreviousRoomNumber)
			(case south
				(send gEgo:
					posn(164 174)
					loop(3)
				)
			)
			(case west
				(send gEgo:
					posn(24 160)
					loop(0)
				)
			)
			(case east
				(send gEgo:
					posn(305 160)
					loop(1)
				)
			)			
		)
		
		SetUpEgo()
		(send gEgo:init())

		// 50% chance of seeing the Canyon Beast in this room
		= randomBeast Random(1 100) 
		(if(>= randomBeast 50)	
			(self:setRegions(972))				
			(if(== gSeeCBeast 0)
				Print("There is a Canyon Beast here. You won't be able to catch one without help")
				= gSeeCBeast (+ gSeeCBeast 1)
			)
		)
	)
)
/******************************************************************************/
(instance RoomScript of Script
	(properties)

	(method (handleEvent pEvent)
        (super:handleEvent(pEvent))

        /*****************************************
         * Handle the possible said phrases here *
         *****************************************/
        (if (Said('look>'))
			(if (Said('/trees'))Print("The mind wanders how trees could be this deformed."))
			(if (Said('/ledge'))Print("There is a ledge here that blocks your way to the north"))
			// this will handle just "look" by itself, and also "look around"
			(if (Said('[/around]'))Print("You are in the depths of the mutant forest")
				(if(>= randomBeast 50)Print("There is a Canyon Beast here")))
			(if (Said('/*'))Print("There's nothing interesting about it."))
		)
		
	)
)
/******************************************************************************/